Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.model.framestore
Class EventGeneratorFrameStore

    java.lang.Object
      edu.stanford.smi.protege.model.framestore.AbstractFrameStore
          edu.stanford.smi.protege.model.framestore.ModificationFrameStore
              edu.stanford.smi.protege.model.framestore.EventGeneratorFrameStore

All Implemented Interfaces:
  FrameStore

    public class EventGeneratorFrameStore

extends ModificationFrameStore

Field Summary

Fields inherited from interface edu.stanford.smi.protege.model.framestore.FrameStore
`UNLIMITED_MATCHES`

Constructor Summary
`EventGeneratorFrameStore(KnowledgeBase kb)`

Method Summary
`void` | `addCustomEvent(AbstractEvent event)`
`void` | `addDirectSuperclass(Cls cls, Cls superclass)`
`void` | `addDirectSuperslot(Slot slot, Slot superslot)`
`void` | `addDirectTemplateSlot(Cls cls, Slot slot)`
`void` | `addDirectType(Instance instance, Cls type)`
`boolean` | `beginTransaction(String name)`
`void` | `close()`
`boolean` | `commitTransaction()`
`Cls` | `createCls(FrameID id, Collection directTypes, Collection superClasses, boolean loadDefaults)`
`Facet` | `createFacet(FrameID id, Collection directTypes, boolean loadDefaults)`
`SimpleInstance` | `createSimpleInstance(FrameID id, Collection directTypes, boolean loadDefaults)`
`Slot` | `createSlot(FrameID id, Collection directTypes, Collection superslots, boolean loadDefaults)`
`void` | `deleteCls(Cls cls)` Delete a single leaf class.
`void` | `deleteFacet(Facet facet)`
`void` | `deleteSimpleInstance(SimpleInstance simpleInstance)`
`void` | `deleteSlot(Slot slot)`
`List<AbstractEvent>` | `getEvents()`
`Frame` | `getFrame(String name)`
`void` | `moveDirectOwnSlotValue(Frame frame, Slot slot, int from, int to)`
`void` | `moveDirectSubclass(Cls cls, Cls subclass, int index)`
`void` | `moveDirectSubslot(Slot slot, Slot subslot, int index)`
`void` | `moveDirectTemplateSlot(Cls cls, Slot slot, int index)`
`void` | `moveDirectType(Instance instance, Cls cls, int index)`
`void` | `reinitialize()`
`void` | `removeDirectSuperclass(Cls cls, Cls superclass)`
`void` | `removeDirectSuperslot(Slot slot, Slot superslot)`
`void` | `removeDirectTemplateFacetOverrides(Cls cls, Slot slot)`
`void` | `removeDirectTemplateSlot(Cls cls, Slot slot)`
`void` | `removeDirectType(Instance instance, Cls type)`
`void` | `replaceFrame(Frame original, Frame replacement)`
`boolean` | `rollbackTransaction()`
`void` | `setDelegate(FrameStore delegate)`
`boolean` | `setDeletingFrameEventsEnabled(boolean b)`
`void` | `setDirectOwnSlotValues(Frame frame, Slot slot, Collection values)`
`void` | `setDirectTemplateFacetValues(Cls cls, Slot slot, Facet facet, Collection values)`
`void` | `setDirectTemplateSlotValues(Cls cls, Slot slot, Collection values)`

Methods inherited from class edu.stanford.smi.protege.model.framestore.ModificationFrameStore
`executeQuery, getClsCount, getClses, getClsesWithAnyDirectTemplateSlotValue, getClsesWithDirectTemplateFacetValue, getClsesWithDirectTemplateSlotValue, getClsesWithMatchingBrowserText, getClsesWithMatchingDirectTemplateFacetValue, getClsesWithMatchingDirectTemplateSlotValue, getDirectDomain, getDirectInstances, getDirectlyOverriddenTemplateFacets, getDirectlyOverriddenTemplateSlots, getDirectOwnSlotValues, getDirectOwnSlotValuesClosure, getDirectOwnSlotValuesCount, getDirectSubclasses, getDirectSubslots, getDirectSuperclasses, getDirectSuperslots, getDirectTemplateFacetValues, getDirectTemplateSlots, getDirectTemplateSlotValues, getDirectTypes, getDomain, getFacetCount, getFacets, getFrame, getFrameCount, getFrameName, getFrames, getFramesWithAnyDirectOwnSlotValue, getFramesWithDirectOwnSlotValue, getFramesWithMatchingDirectOwnSlotValue, getInstances, getMatchingReferences, getOverriddenTemplateFacets, getOverriddenTemplateSlots, getOwnFacets, getOwnFacetValues, getOwnSlots, getOwnSlotValues, getReferences, getSimpleInstanceCount, getSlotCount, getSlots, getSubclasses, getSubslots, getSuperclasses, getSuperslots, getTemplateFacets, getTemplateFacetValues, getTemplateSlots, getTemplateSlotValues, getTransactionStatusMonitor, getTypes`

Methods inherited from class edu.stanford.smi.protege.model.framestore.AbstractFrameStore
`getDelegate, getName, onSetDelegate, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EventGeneratorFrameStore

    public EventGeneratorFrameStore(KnowledgeBase kb)

Method Detail

### setDelegate

    public void setDelegate(FrameStore delegate)

  Specified by:
    `setDelegate` in interface `FrameStore`
  Overrides:
    `setDelegate` in class `AbstractFrameStore`

### reinitialize

    public void reinitialize()

### close

    public void close()

  Specified by:
    `close` in interface `FrameStore`
  Overrides:
    `close` in class `AbstractFrameStore`

### getFrame

    public Frame getFrame(String name)

  Specified by:
    `getFrame` in interface `FrameStore`
  Overrides:
    `getFrame` in class `ModificationFrameStore`

### createCls

    public Cls createCls(FrameID id,
                         Collection directTypes,
                         Collection superClasses,
                         boolean loadDefaults)

### createSlot

    public Slot createSlot(FrameID id,
                           Collection directTypes,
                           Collection superslots,
                           boolean loadDefaults)

### createFacet

    public Facet createFacet(FrameID id,
                             Collection directTypes,
                             boolean loadDefaults)

### setDirectOwnSlotValues

    public void setDirectOwnSlotValues(Frame frame,
                                       Slot slot,
                                       Collection values)

### deleteCls

    public void deleteCls(Cls cls)

  Description copied from interface: `FrameStore`
  Delete a single leaf class. The operation fails if the class has subclasses or instances.

  Parameters:
    `cls` - Class to be deleted

### deleteSlot

    public void deleteSlot(Slot slot)

### deleteFacet

    public void deleteFacet(Facet facet)

### deleteSimpleInstance

    public void deleteSimpleInstance(SimpleInstance simpleInstance)

### createSimpleInstance

    public SimpleInstance createSimpleInstance(FrameID id,
                                               Collection directTypes,
                                               boolean loadDefaults)

### getEvents

    public List<AbstractEvent> getEvents()

  Specified by:
    `getEvents` in interface `FrameStore`
  Overrides:
    `getEvents` in class `ModificationFrameStore`

### addDirectSuperclass

    public void addDirectSuperclass(Cls cls,
                                    Cls superclass)

### removeDirectSuperclass

    public void removeDirectSuperclass(Cls cls,
                                       Cls superclass)

### moveDirectOwnSlotValue

    public void moveDirectOwnSlotValue(Frame frame,
                                       Slot slot,
                                       int from,
                                       int to)

### moveDirectSubclass

    public void moveDirectSubclass(Cls cls,
                                   Cls subclass,
                                   int index)

### moveDirectSubslot

    public void moveDirectSubslot(Slot slot,
                                  Slot subslot,
                                  int index)

### addDirectSuperslot

    public void addDirectSuperslot(Slot slot,
                                   Slot superslot)

### removeDirectSuperslot

    public void removeDirectSuperslot(Slot slot,
                                      Slot superslot)

### addDirectType

    public void addDirectType(Instance instance,
                              Cls type)

### removeDirectType

    public void removeDirectType(Instance instance,
                                 Cls type)

### moveDirectType

    public void moveDirectType(Instance instance,
                               Cls cls,
                               int index)

### addDirectTemplateSlot

    public void addDirectTemplateSlot(Cls cls,
                                      Slot slot)

### removeDirectTemplateSlot

    public void removeDirectTemplateSlot(Cls cls,
                                         Slot slot)

### moveDirectTemplateSlot

    public void moveDirectTemplateSlot(Cls cls,
                                       Slot slot,
                                       int index)

### setDirectTemplateSlotValues

    public void setDirectTemplateSlotValues(Cls cls,
                                            Slot slot,
                                            Collection values)

### setDirectTemplateFacetValues

    public void setDirectTemplateFacetValues(Cls cls,
                                             Slot slot,
                                             Facet facet,
                                             Collection values)

### removeDirectTemplateFacetOverrides

    public void removeDirectTemplateFacetOverrides(Cls cls,
                                                   Slot slot)

### beginTransaction

    public boolean beginTransaction(String name)

### commitTransaction

    public boolean commitTransaction()

### rollbackTransaction

    public boolean rollbackTransaction()

### setDeletingFrameEventsEnabled

    public boolean setDeletingFrameEventsEnabled(boolean b)

### replaceFrame

    public void replaceFrame(Frame original,
                             Frame replacement)

### addCustomEvent

    public void addCustomEvent(AbstractEvent event)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.